## sensor-w1therm 1.0.0

=== Makefile ===
# Makefile for sensor-w1therm
#
# Part of the WildlifeSystems project.
# https://wildlife.systems

CC = gcc
CFLAGS = -Wall -Wextra -O2 -D_GNU_SOURCE
LDFLAGS = -pthread

PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

TARGET = sensor-w1therm
SRCDIR = src
SOURCES = $(SRCDIR)/sensor-w1therm.c
OBJECTS = $(SOURCES:.c=.o)

.PHONY: all clean install uninstall

all: $(TARGET)

$(TARGET): $(SOURCES)
	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

install: $(TARGET)
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 $(TARGET) $(DESTDIR)$(BINDIR)/$(TARGET)
	install -d $(DESTDIR)$(MANDIR)
	install -m 644 man/sensor-w1therm.1 $(DESTDIR)$(MANDIR)/sensor-w1therm.1

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/$(TARGET)
	rm -f $(DESTDIR)$(MANDIR)/sensor-w1therm.1

clean:
	rm -f $(TARGET) $(OBJECTS)

=== debian/changelog ===
sensor-w1therm (1.0.0) stable; urgency=medium

  * Initial C implementation
  * Parallel sensor reading using pthreads
  * Supports w1_slave and temperature sysfs interfaces
  * Compatible JSON output format with bash version

 -- Ed Baker <ed@ebaker.me.uk>  Thu, 22 Jan 2026 12:00:00 +0000

=== debian/control ===
Source: sensor-w1therm
Section: misc
Priority: optional
Maintainer: Ed Baker <ed@ebaker.me.uk>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.5.0
Homepage: https://wildlife.systems
Vcs-Git: https://github.com/WildlifeSystems/sensor-w1therm.git

Package: sensor-w1therm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sensor-control
Description: w1_therm temperature sensor reader for WildlifeSystems
 A utility to read temperature data from w1_therm 1-Wire temperature
 sensors connected via the Linux kernel w1_therm driver interface.
 Outputs readings in JSON format compatible with the WildlifeSystems
 sensor-control framework.
 .
 Includes a systemd service to configure sensors for fast reading
 after boot.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sensor-w1therm

override_dh_auto_clean:
	$(MAKE) clean

## sensor-w1therm 1.0.1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # https://wildlife.systems
 
 CC = gcc
-CFLAGS = -Wall -Wextra -O2 -D_GNU_SOURCE
-LDFLAGS = -pthread
+CFLAGS = $(EXTRA_CFLAGS) -Wall -Wextra -O2 -D_GNU_SOURCE -I/usr/include/ws
+LDFLAGS = $(EXTRA_LDFLAGS) -pthread -lwildlifesystems
 
 PREFIX ?= /usr
 BINDIR = $(PREFIX)/bin

=== debian/changelog ===
sensor-w1therm (1.0.1) stable; urgency=medium

  * Refactor to use libwildlifesystems shared library
  * Add setup, enable, mock commands for consistent CLI
  * Add STARTUP_VALUE_RAW and INSUFFICIENT_POWER_RAW constants
  * Add bash-completion support
  * Update man page with all commands

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 12:00:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 override_dh_auto_clean:
 	$(MAKE) clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## sensor-w1therm 1.0.2

=== debian/changelog ===
sensor-w1therm (1.0.2) stable; urgency=medium

  * Rebuild against libwildlifesystems 1.1.1

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 14:00:00 +0000

## sensor-w1therm 1.0.3

=== debian/changelog ===
sensor-w1therm (1.0.3) stable; urgency=medium

  * Rebuild against libwildlifesystems 1.1.1

 -- Ed Baker <ed@ebaker.me.uk>  Tue, 27 Jan 2026 14:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Ed Baker <ed@ebaker.me.uk>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 11), libwildlifesystems-dev
 Standards-Version: 4.5.0
 Homepage: https://wildlife.systems
 Vcs-Git: https://github.com/WildlifeSystems/sensor-w1therm.git
